#!/bin/csh

#--------- set parameters

set year1 = 2000
set year2 = 2001
set magrange = "6.5:7.7"

#---------- get an event list

FetchEvent -depth 0:40 -mag $magrange -s $year1,01,01 -e $year2,01,01 > eventlist

#---------- make a script to Fetch the data

make_Fetch_commands.py > FetchList
chmod +x FetchList
set wcFetchList = `wc FetchList`

echo 'There are ' $wcFetchList[1] ' events '
FetchList

#---------- run mseed2sac

foreach mseedfile ( `ls  *.mseed `)
   set lsl = `ls -l $mseedfile`
   set mseedsize = $lsl[5]
   if ( $mseedsize > 0 ) then
      mseed2sac $mseedfile
   endif
end

#---------- clean up

mkdir MSEED
/bin/mv [0-9]*.mseed MSEED
mkdir SACFILES
/bin/mv *.SAC SACFILES
ls SACFILES/*.SAC > saclist

#---------- make sure Ntraces > 10

set nTraces = `ls SACFILES/*.SAC | wc -l`
if ( $nTraces < 11 ) then
   echo "not enough traces, expand your search!"
endif

