#!/opt/dmc/anaconda/64bit/bin/python

# input looks like:
# 4816293 |2014/11/26 14:33:43.6400|  1.9604| 126.5751|  39  |US|NEIC PDE|NEIC COMCAT,usb000t08w|MWW,6.8,US|NORTHERN MOLUCCA SEA
# 4811421 |2014/10/14 03:51:34.4600| 12.5262| -88.1225|  40  |US|NEIC PDE|NEIC COMCAT,usb000slwn|MWW,7.3,US|OFF COAST OF CENTRAL AMERICA
# ....
#
# output will look like:
# FetchData -s 2014,11,26,14,33,43 -e 2014,11,26,16,33,44 -C BHZ -radius 1.9604:126.5751:120.5:120 -msl 7200 -o 1.mseed
# FetchData -s 2014,10,14,03,51,34 -e 2014,10,14,05,51,35 -C BHZ -radius 12.5262:-88.1225:120.5:120 -msl 7200 -o 2.mseed
# ....

import re
import datetime

#----- set parameters 

duration=7200
mindistdegrees = 120
maxdistdegrees = 120.5

#--------------------

n=0
EVENT_HYPO = open('eventlist','r')
for line in EVENT_HYPO:
    fields = line.split('|')
    evlat = fields[2].strip()
    evlon = fields[3].strip()
    dateandtime = fields[1]
    t = re.split('[/ : .]',dateandtime)
    yr = int(t[0])
    mo = int(t[1])
    dy = int(t[2])
    hr = int(t[3])
    mi = int(t[4])
    sc = int(t[5])
    t1 = datetime.datetime(yr,mo,dy,hr,mi,sc)
    t2 = t1 + datetime.timedelta(seconds=(duration+1))
    T1 = format(t1,'%Y,%m,%d,%H,%M,%S')
    T2 = format(t2,'%Y,%m,%d,%H,%M,%S')
    n = n + 1
    print ("FetchData -s " + T1 + " -e " + T2 + " -C BHZ -radius " + evlat + ":" + str(evlon) + ":" + str(maxdistdegrees) + ":" + str(mindistdegrees) + " -msl " + str(duration) +  " -o " + str(n) + ".mseed -vv")

